elfutils 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1292869 漏洞类型 缓冲区错误
发布时间 2018-09-04 更新时间 2019-10-23
CVE编号 CVE-2018-16403 CNNVD-ID CNNVD-201809-099
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201809-099
|漏洞详情
elfutils是一套用于读取、创建和修改ELF二进制文件的实用程序和库的集合。libdw是其中的一个ELF操作库。 elfutils 0.173版本中的libdw存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:sourceware.org

链接:https://sourceware.org/bugzilla/show_bug.cgi?id=23529


来源:sourceware.org

链接:https://sourceware.org/git/?p=elfutils.git;a=commit;h=6983e59b727458a6c64d9659c85f08218bc4fcda